<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use JWT;
class CheckToken
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {

        $Authorization= $_SERVER['HTTP_AUTHORIZATION'];
        $payload = JWT::CheckJwt($Authorization);
        if($payload['status'] == 'OK')
        {
            $request->attributes->add($payload);//添加参数

            return $next($request);
        }else {
            // return response()->json([$payload]);
            return response($payload);
        }
    }
}
